package com.yd.dal.mapper.tencent;

import com.yd.dal.entity.tencent.TenInterfRecord;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TenInterfRecordMapper {
    int deleteByPrimaryKey(Long id);

    int insert(TenInterfRecord record);

    int insertSelective(TenInterfRecord record);

    TenInterfRecord selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(TenInterfRecord record);

    int updateByPrimaryKey(TenInterfRecord record);

    List<TenInterfRecord> findByTenInterfRecordOrderBy(@Param("info") TenInterfRecord tencentInterfRecord, @Param("orderBy")String orderBy);

    List<TenInterfRecord> findByAppIdAndGrantType(@Param("appId")String appId, @Param("grantType")String grantType, @Param("type")String type);

    List<TenInterfRecord> findByAccessTokenAndIType(@Param("accessToken")String accessToken, @Param("pType")String pType,@Param("type")String type);
}